Subject: Re: Summary of responses so far and proposal moving forward[WasRe: [tcpm] Is this a problem?]
From: David Borman <[email-masked]>
To: Mahesh Jethanandani <[email-masked]>
Cc: [email-masked], Mark Allman <[email-masked]>
Date: Tue, 27 Nov 2007 18:16:29 -0600
List-Id: TCP Maintenance and Minor Extensions Working Group <tcpm.ietf.org>

On Nov 27, 2007, at 5:21 PM, Mahesh Jethanandani wrote:

> My understanding of rfc 1122 is and I quote from the rfc itself:
>
>> A TCP MAY keep its offered receive window closed
>>             indefinitely.  As long as the receiving TCP continues to
>>             send acknowledgments in response to the probe segments,  
>> the
>>             sending TCP MUST allow the connection to stay open.
>>
>>             DISCUSSION:
>>                  It is extremely important to remember that ACK
>>                  (acknowledgment) segments that contain no data are  
>> not
>>                  reliably transmitted by TCP.  If zero window  
>> probing is
>>                  not supported, a connection may hang forever when an
>>                  ACK segment that re-opens the window is lost.
>>
> This tells me that the concern was with ACK's getting lost in the  
> network and that is why the need to keep the connection open. The  
> point we bring up in the draft is in the case the ACK's are being  
> received reliably then the need to keep the connection open just to  
> make sure the ACK has made it to the other end goes away. That is  
> why the request to change the language to say that in case of  
> reliable ACK, TCP MAY tear the connection down if it is not able to  
> service existing or new connections.

You are misreading this.  This section (4.2.2.1) has two requirements:  
1) Zero Window Probing must be supported (to guard against lost window  
updates), and 2) as long as you get responses to the ZWP, you must  
keep the connection open.  That's it.  You aren't keeping it open to  
get lost ACKs, you're keeping it open because the other side of the  
connection is still there and responding.

			-David Borman

_______________________________________________
tcpm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tcpm